| Version: 3.2.5

Classes | Enumerations | Variables
webview.h File Reference

## Classes

class | wxWebViewHistoryItem
| A simple class that contains the URL and title of an element of the history of a wxWebView. More...
class | wxWebViewFactory
| An abstract factory class for creating wxWebView backends. More...
class | wxWebViewHandler
| The base class for handling custom schemes in wxWebView, for example to allow virtual file system support. More...
class | wxWebView
| This control may be used to render web (HTML / CSS / javascript) documents. More...
class | wxWebViewIE
| wxWebView using IE backend, see wxWEBVIEW_BACKEND_IE (MSW). More...
class | wxWebViewEdge
| wxWebView using Edge backend, see wxWEBVIEW_BACKEND_EDGE (MSW). More...
class | wxWebViewEvent
| A navigation event holds information about events associated with wxWebView objects. More...

## Enumerations

enum | wxWebViewZoom { wxWEBVIEW_ZOOM_TINY , wxWEBVIEW_ZOOM_SMALL , wxWEBVIEW_ZOOM_MEDIUM , wxWEBVIEW_ZOOM_LARGE , wxWEBVIEW_ZOOM_LARGEST }
| Zoom levels available in wxWebView. More...
enum | wxWebViewZoomType { wxWEBVIEW_ZOOM_TYPE_LAYOUT , wxWEBVIEW_ZOOM_TYPE_TEXT }
| The type of zooming that the web view control can perform. More...
enum | wxWebViewNavigationError { wxWEBVIEW_NAV_ERR_CONNECTION , wxWEBVIEW_NAV_ERR_CERTIFICATE , wxWEBVIEW_NAV_ERR_AUTH , wxWEBVIEW_NAV_ERR_SECURITY , wxWEBVIEW_NAV_ERR_NOT_FOUND , wxWEBVIEW_NAV_ERR_REQUEST , wxWEBVIEW_NAV_ERR_USER_CANCELLED , wxWEBVIEW_NAV_ERR_OTHER }
| Types of errors that can cause navigation to fail. More...
enum | wxWebViewReloadFlags { wxWEBVIEW_RELOAD_DEFAULT , wxWEBVIEW_RELOAD_NO_CACHE }
| Type of refresh. More...
enum | wxWebViewFindFlags { wxWEBVIEW_FIND_WRAP = 0x0001 , wxWEBVIEW_FIND_ENTIRE_WORD = 0x0002 , wxWEBVIEW_FIND_MATCH_CASE = 0x0004 , wxWEBVIEW_FIND_HIGHLIGHT_RESULT = 0x0008 , wxWEBVIEW_FIND_BACKWARDS = 0x0010 , wxWEBVIEW_FIND_DEFAULT = 0 }
| Find flags used when searching for text on page. More...
enum | wxWebViewNavigationActionFlags { wxWEBVIEW_NAV_ACTION_NONE , wxWEBVIEW_NAV_ACTION_USER , wxWEBVIEW_NAV_ACTION_OTHER }
| Navigation action types. More...
enum | wxWebViewUserScriptInjectionTime { wxWEBVIEW_INJECT_AT_DOCUMENT_START , wxWEBVIEW_INJECT_AT_DOCUMENT_END }
| Specifies at which place of documents an user script will be inserted. More...
enum | wxWebViewIE_EmulationLevel { wxWEBVIEWIE_EMU_DEFAULT = 0 , wxWEBVIEWIE_EMU_IE7 = 7000 , wxWEBVIEWIE_EMU_IE8 = 8000 , wxWEBVIEWIE_EMU_IE8_FORCE = 8888 , wxWEBVIEWIE_EMU_IE9 = 9000 , wxWEBVIEWIE_EMU_IE9_FORCE = 9999 , wxWEBVIEWIE_EMU_IE10 = 10000 , wxWEBVIEWIE_EMU_IE10_FORCE = 10001 , wxWEBVIEWIE_EMU_IE11 = 11000 , wxWEBVIEWIE_EMU_IE11_FORCE = 11001 }
| Internet Explorer emulation modes for wxWebViewIE. More...

## Variables

wxEventType | wxEVT_WEBVIEW_NAVIGATING
wxEventType | wxEVT_WEBVIEW_NAVIGATED
wxEventType | wxEVT_WEBVIEW_LOADED
wxEventType | wxEVT_WEBVIEW_ERROR
wxEventType | wxEVT_WEBVIEW_NEWWINDOW
wxEventType | wxEVT_WEBVIEW_TITLE_CHANGED
wxEventType | wxEVT_WEBVIEW_FULLSCREEN_CHANGED
wxEventType | wxEVT_WEBVIEW_SCRIPT_MESSAGE_RECEIVED
wxEventType | wxEVT_WEBVIEW_SCRIPT_RESULT

## Enumeration Type Documentation

## ◆ wxWebViewFindFlags

enum wxWebViewFindFlags

Find flags used when searching for text on page.

Enumerator
wxWEBVIEW_FIND_WRAP | Causes the search to restart when end or beginning reached.
wxWEBVIEW_FIND_ENTIRE_WORD | Matches an entire word when searching.
wxWEBVIEW_FIND_MATCH_CASE | Match case, i.e. case sensitive searching
wxWEBVIEW_FIND_HIGHLIGHT_RESULT | Highlights the search results.
wxWEBVIEW_FIND_BACKWARDS | Searches for phrase in backward direction.
wxWEBVIEW_FIND_DEFAULT | The default flag, which is simple searching.

## ◆ wxWebViewIE_EmulationLevel

enum wxWebViewIE_EmulationLevel

Internet Explorer emulation modes for wxWebViewIE.

Elements of this enum can be used with wxWebView::MSWSetEmulationLevel().

Note that using the `_FORCE` variants is not recommended.

Since
  3.1.3

Enumerator
wxWEBVIEWIE_EMU_DEFAULT | Clear FEATURE_BROWSER_EMULATION registry setting to default, corresponding application specific registry key will be deleted.
wxWEBVIEWIE_EMU_IE7 | Prefer IE7 Standards mode, default value for the control.
wxWEBVIEWIE_EMU_IE8 | Prefer IE8 mode, default value for Internet Explorer 8.
wxWEBVIEWIE_EMU_IE8_FORCE | Force IE8 Standards mode, ignore !DOCTYPE directives.
wxWEBVIEWIE_EMU_IE9 | Prefer IE9 mode, default value for Internet Explorer 9.
wxWEBVIEWIE_EMU_IE9_FORCE | Force IE9 Standards mode, ignore !DOCTYPE directives.
wxWEBVIEWIE_EMU_IE10 | Prefer IE10 mode, default value for Internet Explorer 10.
wxWEBVIEWIE_EMU_IE10_FORCE | Force IE10 Standards mode, ignore !DOCTYPE directives.
wxWEBVIEWIE_EMU_IE11 | Prefer IE11 edge mode, default value for Internet Explorer 11.
wxWEBVIEWIE_EMU_IE11_FORCE | Force IE11 edge mode, ignore !DOCTYPE directives.

## ◆ wxWebViewNavigationActionFlags

enum wxWebViewNavigationActionFlags

Navigation action types.

Since
  3.1.2

Enumerator
wxWEBVIEW_NAV_ACTION_NONE | No navigation action.
wxWEBVIEW_NAV_ACTION_USER | The navigation was started by the user.
wxWEBVIEW_NAV_ACTION_OTHER | The navigation was started but not by the user.

## ◆ wxWebViewNavigationError

enum wxWebViewNavigationError

Types of errors that can cause navigation to fail.

Enumerator
wxWEBVIEW_NAV_ERR_CONNECTION | Connection error (timeout, etc.)
wxWEBVIEW_NAV_ERR_CERTIFICATE | Invalid certificate.
wxWEBVIEW_NAV_ERR_AUTH | Authentication required.
wxWEBVIEW_NAV_ERR_SECURITY | Other security error.
wxWEBVIEW_NAV_ERR_NOT_FOUND | Requested resource not found.
wxWEBVIEW_NAV_ERR_REQUEST | Invalid request/parameters (e.g. bad URL, bad protocol, unsupported resource type)
wxWEBVIEW_NAV_ERR_USER_CANCELLED | The user cancelled (e.g. in a dialog)
wxWEBVIEW_NAV_ERR_OTHER | Another (exotic) type of error that didn't fit in other categories.

## ◆ wxWebViewReloadFlags

enum wxWebViewReloadFlags

Type of refresh.

Enumerator
wxWEBVIEW_RELOAD_DEFAULT | Default reload, will access cache.
wxWEBVIEW_RELOAD_NO_CACHE | Reload the current view without accessing the cache.

## ◆ wxWebViewUserScriptInjectionTime

enum wxWebViewUserScriptInjectionTime

Specifies at which place of documents an user script will be inserted.

Since
  3.1.5

Enumerator
wxWEBVIEW_INJECT_AT_DOCUMENT_START | Insert the code of the user script at the beginning of loaded documents.
wxWEBVIEW_INJECT_AT_DOCUMENT_END | Insert the code of the user script at the end of the loaded documents.

## ◆ wxWebViewZoom

enum wxWebViewZoom

Zoom levels available in wxWebView.

Enumerator
wxWEBVIEW_ZOOM_TINY |
wxWEBVIEW_ZOOM_SMALL |
wxWEBVIEW_ZOOM_MEDIUM | default size
wxWEBVIEW_ZOOM_LARGE |
wxWEBVIEW_ZOOM_LARGEST |

## ◆ wxWebViewZoomType

enum wxWebViewZoomType

The type of zooming that the web view control can perform.

Enumerator
wxWEBVIEW_ZOOM_TYPE_LAYOUT | The entire layout scales when zooming, including images.
wxWEBVIEW_ZOOM_TYPE_TEXT | Only the text changes in size when zooming, images and other layout elements retain their initial size.

## Variable Documentation

## ◆ wxEVT_WEBVIEW_ERROR

wxEventType wxEVT_WEBVIEW_ERROR

## ◆ wxEVT_WEBVIEW_FULLSCREEN_CHANGED

wxEventType wxEVT_WEBVIEW_FULLSCREEN_CHANGED

## ◆ wxEVT_WEBVIEW_LOADED

wxEventType wxEVT_WEBVIEW_LOADED

## ◆ wxEVT_WEBVIEW_NAVIGATED

wxEventType wxEVT_WEBVIEW_NAVIGATED

## ◆ wxEVT_WEBVIEW_NAVIGATING

wxEventType wxEVT_WEBVIEW_NAVIGATING

## ◆ wxEVT_WEBVIEW_NEWWINDOW

wxEventType wxEVT_WEBVIEW_NEWWINDOW

## ◆ wxEVT_WEBVIEW_SCRIPT_MESSAGE_RECEIVED

wxEventType wxEVT_WEBVIEW_SCRIPT_MESSAGE_RECEIVED

## ◆ wxEVT_WEBVIEW_SCRIPT_RESULT

wxEventType wxEVT_WEBVIEW_SCRIPT_RESULT

## ◆ wxEVT_WEBVIEW_TITLE_CHANGED

wxEventType wxEVT_WEBVIEW_TITLE_CHANGED